%define	major 11
%define libname	%mklibname idn %{major}

Summary:	Internationalized string processing library
Name:		libidn
Version:	0.6.9
Release:	%mkrel 3
License:	LGPL
Group:		System/Libraries
URL:		http://josefsson.org/libidn/releases/
Source0:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz
Source1:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz.sig
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n	%{libname}
Summary:	Internationalized string processing library
Group:          System/Libraries
Requires(post): info-install
Requires(preun): info-install

%description -n	%{libname}
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n	%{libname}-devel
Summary:	Development files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	idn-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	pkgconfig

%description -n	%{libname}-devel
Development files for the %{libname} library

%package -n	idn
Summary:	Commandline interface to the %{libname} library
Group:          System/Servers

%description -n	idn
This package provides the commandline interface to the
%{libname} library

%prep

%setup -q


%build
#export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal; autoconf

# wierd stuff...
%define __libtoolize /bin/true

%configure2_5x

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# house cleansing
rm -f %{buildroot}%{_libdir}/Libidn.dll

# fix "invalid-lc-messages-dir":
rm -rf %{buildroot}%{_datadir}/locale/en@*quot

# make a nice list for docs
find doc -type f | sed 's/^/%doc /' | \
    grep -v "Makefile*" | \
    grep -v "\.tex*" | \
    grep -v "\.info" | \
    grep -v "\.1" | \
    grep -v "\.3" | \
    grep -v "\.sgml" | \
    grep -v "\.xml" | \
    grep -v "gdoc" | \
    grep -v "mdate-sh" > %{libname}-devel.filelist

find examples -type f -name ".c" | sed 's/^/%doc /' >> %{libname}-devel.filelist

%find_lang libidn

# this fixes a file clash in a mixed arch env
mv %{buildroot}%{_infodir}/%{name}.info %{buildroot}%{_infodir}/%{libname}.info

%post -n %{libname}
%_install_info %{libname}.info
/sbin/ldconfig

%postun -n %{libname}
%_remove_install_info %{libname}.info
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n idn -f libidn.lang
%defattr(0644,root,root,755)
%doc ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp/*.el

%files -n %{libname}
%defattr(0644,root,root,755)
%doc FAQ README THANKS contrib
%attr(0755,root,root) %{_libdir}/libidn.so.%{major}.*
%attr(0755,root,root) %{_libdir}/libidn.so.%{major}
%{_infodir}/%{libname}.info*

%files -n %{libname}-devel -f %{libname}-devel.filelist
%defattr(0644,root,root,755)
%doc ChangeLog doc/libidn.html TODO libc/example.c examples/README examples/Makefile.*
%{_libdir}/libidn.so
%{_libdir}/libidn.a
%{_libdir}/libidn.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6.9-3mdv2007.1
+ Revision: 146601
- move devel doc in -devel

* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-2mdv2007.1
+ Revision: 133202
- fix a libname dependant file clash

* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-1mdv2007.1
+ Revision: 132136
- second try...
- 0.6.9
- prevent future mess with major

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.8-1mdv2007.1
+ Revision: 74284
- 0.6.8
- misc spec file fixes
- Import libidn



* Fri Jul 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-1mdk
- 0.6.5

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdk
- 0.6.2 (Minor feature enhancements)

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-2mdk
- install-info/info-install (duh!)

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdk
- 0.6.0

* Mon Oct 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.20-1mdk
- 0.5.20 (Minor bugfixes)

* Fri Oct 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.19-1mdk
- 0.5.19

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.18-2mdk
- fix #77181

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.18-1mdk
- 0.5.18 (Minor bugfixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.17-1mdk
- 0.5.17

* Mon May 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.16-1mdk
- 0.5.16

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.15-1mdk
- 0.5.15
- use the %%mkrel macro
- fix requires-on-release

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.13-1mdk
- 0.5.13

* Sun Dec 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.12-1mdk
- 0.5.12

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9

* Sun Oct 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Sun Jun 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4, thanks to Michael Scherer for helping with the locale stuff

* Wed Jan 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.5-1mdk
- 0.3.5

* Sun Oct 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-2mdk
- drop the "soname fix" and use the correct way...

* Sat Oct 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Mon Oct 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib
- used the package from PLD as a start point
